/* ---- GENERAL ---- */
.overlay {
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 12;
	pointer-events: none;
	opacity: 0;
	background-color: colors/$grey5;
	visibility: hidden;
	transform: translate3d(0, -30vh, 0);
	transition: opacity 0.3s ease 0s, visibility 0.3s ease 0.1s, transform 0.3s ease 0s;
	
	&.popup {
		top:0;
		left:0;
		background-color: colors/$popup-background;
		transform: none;
		padding:10vw;
		
		@Tablet {
			padding: 5vw;
		}
		
		@Mobile {
			padding:1vw;
		}
		
		> .section {
			padding-top:50px;
			background-color: colors/$grey7;
			border:1px solid colors/$grey3;
			
		}
		
		.overlay-close {
			left:auto;
			z-index:1;
			right: 11.7vw;
    		top: 11vw;
    		
    		@Tablet {
    			right: 7.7vw;
    			top:7vw;
    		}
			
			@Mobile {
				right:3.7vw;
				top:3vw;
			}
		}
		
		.overlay-continue {
			position:absolute;
			z-index:1;
			bottom: 30px;
			right:30px;
			
			@Tablet {
    			right: 20px;
    			bottom:20px;
    		}
			
			@Mobile {
				right:10px;
				bottom:10px;
			}
		}
	}
	
	&.active {
		pointer-events: all;
		opacity: 100;
		visibility: visible;
		transform: translate3d(0, 0, 0);
		
		> .section > .section {
			transform: translateY(0);
			opacity: 100;
			transition: transform 0.4s ease 0.1s, opacity 0.4s ease 0.1s;
		}
	}
	
	&.popup.active {
		transform: none;
	}
	
	> .section {
		height: 100%;
		width: 100%;
		padding: 100px 50px 50px;
		overflow-y: auto;
		position: relative;
		
		@Mobile {
			padding: 40px 20px 20px 20px;
		}
		
		p.title {
			padding:0 30px;
			font-size:look/$font-size-jumbo;
			sv-txt-font: look/$font-a-light;
			
			@Mobile {
				padding: 0 0 30px 0;
			}
		}
		.search {
			padding:0 30px;
		}
		.b-listing-2 .b-e-content {
			padding: 0;
			
			@Mobile {
				margin-bottom:0;
			}
		}
	}
	
	> .section > .section {
		max-width:initial;
		transform: translateY(-100px);
		opacity: 0;
		transition: transform 0.2s ease-in 0s, opacity 0.2s ease 0s;
	}
	
	.overlay-close {
		position:absolute;
	    left: -20px;
		top: -85px;
		border-bottom-width:0;
		
		@Mobile {
			left: auto;
			top: -35px;
			right:0;
		}
	}
	
	.border-bottom {
		border-bottom:1px solid colors/$grey2;
	}
	.spacer {
		padding: 77px 30px;
		
		@Mobile {
			padding:20px 10px;
		}
	}
}

/* ---- LOGIN ---- */
.overlay-login {
	.cols-25 > .col-2 {
		@Mobile {
			width:100%;
		}
	}
}

/* ---- WEBSITES ---- */
.overlay-website {
	
	.b--e-content {
		width:100%;
	}
	.languages > a {
		line-height:1.1;
		padding:0 12px;
		margin-top:13px;
		border-left:2px solid colors/$grey2;
		
		&:first-child {
			border-left-width:0;	
		}
	}
	.languages > p {
		display:none;
	}	
}


/* ---- BREADCRUMBS ---- */
.breadcrumbs {
	margin-left:15px; 
	
	ul {
		white-space:nowrap;
		text-overflow:ellipsis;
		overflow:hidden;
		padding-right:20px;
	}
	
	li {
		display:inline-block;
		
		&:after {
			content: '|';
			padding-right: 6px;
			padding-left: 6px;
		}
		
		&:last-child:after {
			display: none;
		}
	}
	
	.link {
		line-height: 48px;
		
		&:hover {
			background:colors/$grey7;
			text-decoration:underline;
		}
	}
}

.page .breadcrumbs {
	margin-left: 20px;
	padding-top: 40px;
	
	.link {
		font-size:look/$font-size-tiny;
	}
}

/* ---- HEADER MENU ---- */
.navigation {
	padding-right:15px;
	
	.link {
		line-height: 48px;
		padding:0 15px 2px;
		sv-txt-font: look/$font-a-bold;
		
		span {
			vertical-align: top;
		}
		
		.icon {
			margin-left:6px;
		}
	}
}

/* ---- MAIN MENU ---- */
.menu {

	.link {
		margin-top: 0;
		margin-bottom: 0;
		text-decoration: none;
		line-height: 2.5;
		font-size:18px;
		color: colors/$grey1;
		
		&.active {
			color: colors/$deco3;
		}
		
		&:hover {
			color: colors/$grey2;
		}
	}
	
	.title-h3 {
		color:colors/$deco1;
		padding-bottom:25px;
		margin-bottom: 0px;
		border-bottom:1px solid colors/$grey2;
	}
	
	.search {
		text-align:right;
		
		.icon {
			font-size: 36px;
		    margin-right: 5px;
		    position: absolute;
			right:0;
			top:0;
			height:100%;
		    color: colors/$grey2;
		    width:40px;
		    padding-top:4px;
		    cursor:pointer;
		    text-align:center;
		    
		    &:hover {
		    	color: colors/$deco3;
		    }
		    
		    
		    > input {
		    	position: absolute;
				right:0;
				top:0px;
		    	width:100%;
		    	height:100%;
		    	background: colors/$transparent;
		    	padding:0;
		    }
		    
		    &.icon-close {
		    	right:50px;
		    }
		}
	
		form {
			height: 100%;
			display:inline-block;
			width:33%;
			
			@Mobile {
				width:100%;
			}
		}
		
		.form-input-wrapper {
		    position: relative;
		}
		
		
	
		input {
			height: 100%;
			font-size: 30px;
			background: colors/$grey7;
		    border: none;
		    outline: none;
		    padding:3px 5px 5px 10px;
		}
		
		input::placeholder {
			color: colors/$grey2;
		}
	}
	
	.b-listing-2 .b-entry {
		&:nth-child(odd) {
			padding-left:look/$spacing-column;
			
			@Mobile {
				padding-left:0;
			}	
		}
		&:nth-child(even) {
			padding-right:look/$spacing-column;
			
			@Mobile {
				padding-right:0;
			}	
		}
	}
}

/* ---- SURF n EDIT MENU ---- */
ul.surfnedit {
	
	position:absolute;
	left:30px;
	top:30px;
	z-index:1;
}